local L = LibStub("AceLocale-3.0"):NewLocale("BT_ArgentCol", "enUS", true)
if not L then return end

--infos
L["Module resetted"] = "Module resetted" --dont change this line!

L["info"] = "|cff91069ETactics by|r www.wowwiki.com, Sorontur\n|cff91069EImages by|r Vonswan\n|cff91069EModule by|r Sorontur\n\n|cffC0C0C0[http://www.bosstactics.net]|r"

--add here localized tactic texts

L["Tactic-25-The Beasts of Northrend"] =  [[

{group}Group
---------------{/group}

You will need two tanks for the first two phases. Six healers should be enough to heal the group, the rest could be damage dealers.

    * 2 Tanks
    * 6 Healer
    * 17 Damage Dealer

{abilities}Abilities
---------------{/abilities}

{add}Gormok the Impaler{/add} - Phase 1
Hitpoints: 8,920,000
Enrage: -

{spell}Staggering Stomp{/spell} 
Deals a staggering stomp that inflicts 9263 to 9737 (11,700 to 12,300) Physical damage to all enemies within 15 yards and interrupts spellcasting for 8 seconds.

{spell}Impale{/spell}
Inflicts 100% of weapon damage to an enemy and causes it to bleed for 2188 to 2812 (3,500 to 4,500) damage per application every 2 sec. for 30 sec.

{add}Acidmaw{/add} - Phase 2
Hitpoints: 5,020,000
Enrage: -

{spell}Acidic Spew{/spell}
Deals 3.700 to 4.300 (4625 to 5375) Nature damage per 0.25 sec. to enemies in front of the caster.

{spell}Acid Spit{/spell}
Deals 6938 to 8062 Nature damage to an enemy.

{spell}Paralytic Bite{/spell} 
Inflicts 11,100 to 12,900 (18,500 to 21,500) Nature damage on an enemy and injects them with a paralytic toxin.

{spell}Paralytic Spray{/spell}
Sprays acid at an enemy and nearby targets, dealing 6,938 to 8,062 (11,100 to 12,900) Nature damage and applying a debilitating paralytic toxin (3000/5000 Nature damage every 2 sec).

{spell}Sweep{/spell} 
Whirls around, dealing 6938 bis 8062 Physical damage to enemies within 15 yards and knocking them back.

{add}Dreadscale{/add} - Phase 2
Hitpoints: 5,020,000
Enrage: -

{spell}Burning Bite{/spell}
Inflicts 11,100 to 12,900 (18,500 to 21,500) Fire damage to an enemy and coats them with burning bile.

{spell}Burning Spray{/spell}
Sprays fluid at an enemy and nearby targets, dealing 6,938 to 8,062 (11,100 to 12,900) Fire damage and coating them with burning bile.

{spell}Fire Spit{/spell}
Deals 5088 to 5912 (6,938 to 8,062) Fire damage to an enemy.

{spell}Molten Spew{/spell} 
Deals 3,700 to 4,300 (4,625 bis 5,375) Fire damage per 0.25 sec. to enemies in front of the caster.

{spell}Slime Pool{/spell}
Inflicts 5088 to 5912 (6475 to 7525) Nature damage to enemy targets within the Poison Cloud.

{add}Icehowl{/add} - Phase 3
Hitpoints: 13,200,000
Enrage: -

{spell}Arctic Breath{/spell} 
An icy breath that freezes targets in a cone in front of the caster, inflicting 20,000 (30,000) Frost damage over 5 sec.

{spell}Ferocious Butt{/spell} 
Delivers a ferocious headbutt to an enemy, inflicting 69,375 bis 80,625 (83,250 bis 96,750) Physical damage and stunning for 2.50 sec.

{spell}Frothing Rage{/spell}
Increases Physical damage and attack speed by 50% (75%).

{spell}Massive Crash{/spell} 
Leaps into the air and crashes down with massive force, dealing 9,250 bis 10,750 (16,188 bis 18,812) Physical damage to all enemies, stunning them, and knocking them back.

{spell}Whirl{/spell}
Whirls around, dealing 8,325 bis 9,675 (12,950 bis 15,050) Physical damage to all nearby enemies and knocking them back.

{add}Snobold Vassal{/add} - Phase 1
Hitpoints: 539,000

{spell}Batter{/spell}
Strikes an enemy for 75% of normal melee damage, interrupting spellcasting for 5 sec.

{spell}Fire Bomb{/spell} 
Inflicts 4813 to 6187 Fire damage to all enemies within 8 yards of the target.

{spell}Head Crack{/spell}
Stuns an enemy for 2 sec.

{tactic}Strategy
--------{/tactic}

{phase}Phase 1: Gormok{/phase}

Phase 1 has four simple objectives:

* two tanks taunt off each other to keep the damage-over-time Impale from stacking too high (more than 3 debuffs)

* raid DPS kill Snobold adds that attach themselves to random players

* ranged and healers spread out to stay out of fire patches and outrange the 15-yard staggering stomp interrupt 

For the two tanks, taunting as the Impale debuff is about to wear off can keep the debuff at 2 or less for most of the encounter, with little risk of it restacking on the same tank. After the first taunt, the tank should let his stack fall off and taunt again.

The ranged DPS and healers must avoid fire patches that Gormok puts down. These patches deal fire damage every second in a small radius, and Gormok can put down several in rapid succession--moving from one patch to another that spawns can occur, and for this reason, the ranged and healers should spread out at least enough to avoid chaining these patches (similar to Napalm on Mimiron).

Lastly, Gormok will throw Snobolds on random players (anyone is a valid target, even a tank). These Snobolds regularly stun and kick their targets, making them a big impediment to the raid if they land on a healer. If this happens, at least the ranged (if not all DPS) should kill the Snobold, as several Snobolds on healers can easily incapacitate them and cause problems for the tanks.

{phase}Phase 2: Acidmaw and Dreadscale{/phase}

The key mechanics to understand about this phase are the interactions between Burning Bile and Paralytic Toxin.

* Acidmaw applies Paralytic Toxin; Dreadscale applies Burning Bile.

* Players with Paralytic Toxin can get it removed by running to players with Burning Bile and taking a tick of fire damage.

* Burning Bile falls of naturally and cannot be removed. 

One tank takes Dreadscale, the other Acidmaw. Dreadscale enters on the right facing the outside door and is mobile; Acidmaw emerges from the ground on the left and is stationary. The two worms burrow periodically, switching which one is mobile and which is stationary. The mobile worm puts down poison clouds at regular intervals, like Grobbulus, and thus must be moved out to keep it safe for melee and for the tank.

Until the first burrow, the Dreadscale tank will always have Burning Bile, and Acidmaw may attack any cluster of players, giving them Paralytic Toxin. These players need to move to the Dreadscale tank, take a tick of AoE fire damage, and thus clear their debuff, lest they become paralyzed and stunned. This applies to the Acidmaw tank as well, who can run from Acidmaw without fear of losing aggro, even though it is stationary.

After the first burrow, Acidmaw is mobile, and Dreadscale stationary. Dreadscale will now apply Burning Bile not just to his tank but to a random raid member and anyone around him. This creates an AoE damage hazard, as all these players must spread from each other and from other raid members--they will deal AoE damage to anyone around them an themselves.

A simple strategy is to burn down Acidmaw, as then no one will need to clear the Paralytic Toxin debuff, and Burning Bile by itself is not much of a threat. The Acidmaw tank need only make sure he gets his Paralytic Toxin debuff cleared, either by running to the Dreadscale tank or vice versa, if Dreadscale is the stationary worm at the time.

Note that when one Jormunjar dies, the other enrages, for at least 50% extra damage (10 and 25 player normal).

{phase}Phase 3: Icehowl{/phase}

Aside from Icehowl's melee range knockback and periodic tank stun, the main mechanic of this phase is the Massive Crash and charge mechanic.

* Icehowl knocks the entire raid back to the walls, stunning them

* Icehowl picks a random target to charge and runs to the opposite side of the room

* All raid members gain a speed buff to run away from the target area 

If improperly executed, one or more players will be hit by Icehowl, will take upwards of 60,000 damage, and die. Icehowl will then enrage, which, in a pinch, can be dispelled by Tranquilizing Shot or Anesthetic Poison.

If done right, however, Icehowl will hit the far wall and stun himself, increasing damage taken for a short period. This is the ideal time to reconvene and pop short cooldowns. Avoiding the charge is critical to minimizing overall damage to the tanks and maintaining control over the phase. Other than that, healers need only watch out for the freezing cone attack, which can be broken altogether if the main target breaks the stun (Blink, or usual immunities like Divine Shield). 
]]

L["Tactic-25-Lord Jaraxxus"] =  [[

{group}Group
---------------{/group}

You will need one tank for Jaraxxus and another for the adds.

    * 2 Tanks
    * 6 Healer
    * 17 Damage Dealer

{buffs}Buffs, Drinks and Equipment
-------------------------------------------------------------{/buffs}

Fire resistance aura is very helpful in this fight

{abilities}Abilities
---------------{/abilities}

Hitpoints: 20.220.000

{spell}Incinerate Flesh{/spell}
Burns the flesh off your bones! Absorbs the next 60.000 (85.000) healing received and decreases damage dealt by 50% for 12 sec.  If Incinerate Flesh is not removed before it expires it will cause a Burning Inferno.

{spell}Infernal Eruption{/spell}
Summons a Infernal and inflicts 9263 to 9737 Fire damage to targets in a 10 yard radius.

{spell}Legion Flame{/spell}
Burns the target, causing a Legion Flame to appear at the targets location every 1 sec for 6 sec.

{spell}Nether Power{/spell}
The Power of the Nether increases magic damage dealt by 20% for 30 sec.

{spell}Nether Portal{/spell}
Lord Jaraxxus opens a portal to the nether world, inflicting 8,288 to 8,712 (10,725 to 11,275) Shadow damage to targets in a 10 yard radius of the portal.

{spell}Fel Lightning{/spell}
Strikes an enemy with Legion Lightning that arcs to another nearby enemy for 9,713 to 11,287 (11,700 to 12,300). The spell affects up to 3 targets.

{spell}Fel Fireball{/spell}
Inflicts 24,375 bis 25,625 (34,125 bis 35,875) Fire damage and an additional 5850 to 6150 (7.800 to 8.200) Fire damage every 1 sec for 5 sec.

Everytime when Jaraxxus casts an Infernal Eruption he will spawn three Felflame Infernals

{add}Felflame Infernal{/add}
Hitpoints: 219,900

{spell}Fel Streak{/spell}
The Felflame Infernal charges a target and inflicts 4388 to 4612 Fire damage and triggering a Fel Inferno in the area.

{spell}Fel Inferno{/spell} 
Periodically inflicts Fire damage to allies within 15 yards for 6 sec.

{add}Mistress of Pain{/add}
Everytime Jaraxxus opens a Nether Portal, a Mistress of Pain appears

Hitpoints: 943,000

{spell}Shivan Slash{/spell}
A whirling attack that deals 50% weapon damage and pierces through armor.

{spell}Spinning Pain Spike{/spell}
Leaps towards an enemy, grabbing them and inflicting significant Physical damage.

{tactic}Strategy
--------{/tactic}

Lord Jaraxxus is a fight with relatively simple mechanics but a lot of damage. Jaraxxus himself should be tanked in the center of the room and dps should spread out as if for Kel'Thuzad. Both Fel Lightning and Touch of Jaraxxus can be very dangerous if the raid is not spread out. In order to reduce tank damage someone will need to be interrupting Lord Jaraxxus' Fel Fireball.

Jaraxxus will periodically spawn a Nether Portal or a Fel Volcano. He spawns them alternately, one every 60 seconds. Nether Portals will spawn a Mistress of Pain, which must be tanked and burned down as fast as possible, as she will choose a random raid member, apply a Spinning Pain Spike debuff, pick them up and do 50% of their max HP in physical damage. Volcanoes will spawn 3 Felfalme Infernals, which should be tanked away from Jaraxxus. The Infernals will sometimes turn into a floating orb, hover over to a random raid member and channel Fel Inferno dealing 5,000 damage per second to everyone nearby. Tanks need to pick the infernal up again quickly, or it will start killing raid-members. Whenever the adds are up ranged DPS should make killing them the priority while the mechanics of the encounter favour keeping melee DPS on the boss the entire time.

Lord Jaraxxus will occasionally give himself 5 stacks (25-man: 10) of Nether Power that increases magical damage dealt by 20%, totaling 100% (25-man: 200%). Mages can (and should) spellsteal this buff as it will increase their DPS and make healing easier. If there are no mages in your group, priests and shaman can (and should) dispel the buff. Lord Jaraxxus is VERY dangerous with the buff on 25-man.

Jaraxxus also will often cast Incinerate Flesh on a random raid member (possibly an offtank) and which will absorb all healing on that target, until a certain amount of healing has been done (10-man: 30,000; 10-heroic: 40,000; 25-man: 60,000; 25-heroic: 85,000). This is not too much of a problem, as long as healers react quickly. If the debuff wears off the target will cause a Burning Inferno to hit the entire raid causing large amounts of damage.

Jaraxxus also casts Legion Flames, which will continuously spawn flames under its target for six seconds. The target should run away from nearby players while remaining in range of healers.

If the raid remains spread out, Jaraxxus is dispelled and interrupted, the adds are kept under control, players run with Legion Flames and healers react quickly to Incinerate Flesh this fight is not difficult.

A fire resist aura should be used at all times during Jaraxxus, and any amount of passive healing or damage reduction that dps can provide will make the fight go much smoother. 

]]

L["Tactic-25-Champions"] =  [[

{tactic}Strategy
--------{/tactic}

This encounter is much like an arena match between you and 10 (6 at 10-man) quasi-player NPCs. Before even attempting this encounter, your raid will need to assume a PvP mindset. The enemies you will face in this encounter act very much like a good arena team does and some (but not all) PvP mechanics are applied to these NPCs. For example:

    * The NPC healers will switch to spam healing your DPS target(s) and should be Crowd Controlled when possible, or stun-locked by a Rogue(s).
    * The NPC damage dealers will gang up on a single raid member and focus fire him dead
    * All NPCs, including healers, will use player crowd control abilities like Polymorph, Fear, Hex, and even Banish - Tremor Totem and the like are very useful here.
    * NPCs in this counter are affected by the same diminishing return rules for player-cast crowd controls as other players are
    * Resilience does not reduce damage taken by the NPC enemies
    * Faction champions do more damage than typical players, have drastically more health (2.4 million on 25 man), and cast enormous heals - the druid champion's rejuvenation, for example, heals for more than 50,000 per tick
    * The NPCs cannot be mind controlled. All other forms of crowd control seem to work, but are subject to Diminishing Returns - after 3 casts, the NPC will be immune to that Crowd Control effect for that fight. 

As with any arena match, picking a damage target and focusing it down is critical. While one target is picked to be killed, all other enemy combatants should be controlled by whatever mechanics are available, including player CCs and focused distractions (e.g., keeping a warrior on the rogue NPC to disarm, hamstring, intercept, stun etc.). The NPCs appear to indiscriminately pick their own targets and they will gang up on a single raid member - healers do not appear to be disproportionately targeted as they often are in real arena combat. The NPCs generally cannot be tanked.

As a result of the chaotic nature of this fight (especially early on when all 10 NPCs are alive), every raid member needs to be fast on his feet. When one or more of the melee champions targets a soft target, that target needs to run, fear, snare, escape, stay alive. To facilitate these maneuvers, it is best not to clump together. Every second that a champion is traveling to its target is a second that it is not doing damage to any particular target, so the more you can keep them moving the safer your raid will be.

Another aspect of this encounter at odds with an arena match is that all of your opponents and their classes are known ahead of time, so it is possible to create a variety of control macros that target specific roles by name. This is strongly recommended. It is often very difficult to pick your control target from within the crowd while also performing your other role. Every class with a control ability should be using it as often as possible, including healers. Because of diminishing returns, as the fight goes on, your crowd control target will become actually or effectively immune to your ability, so don't be afraid to use control on any active target that is not the current focus fire target.

The fight becomes exponentially easier as each champion is killed, so getting the first one down as soon as possible greatly increases your odds of winning. All cooldowns, including Bloodlust/Heroism, should be used immediately to facilitate a speedy kill on the first target. The target you pick will be dependent upon your raid makeup, but for the majority of groups the most effective strategy is unsurprisingly to kill the healers first.

The four healers are a restoration druid, a restoration shaman, a holy paladin, and a holy priest.

    * The restoration druid casts Rejuvenation, Lifebloom, Nourish, and Regrowth. Two of these can be interrupted, and three of these must be dispelled.
    * The restoration shaman casts Greater Healing Wave, Lesser Healing Wave, Earth Shield, and Chain Heal. Three of these can be interrupted, and one of these must be dispelled.
    * The holy paladin casts Flash of Light, Holy Light, Hand of Freedom and Divine Protection. Her Divine Protection will be cast when she is at around 25% health and should be broken swiftly (by Shattering Throw or Mass Dispel) so the Holy Light which she inevitably starts casting afterwards can be interrupted.
    * The holy priest casts Greater Heal, Flash Heal, Renew, and Power Word: Shield. Two of these can be interrupted, and two of these must be dispelled. 


The most effective healer is the restoration druid. As with arena combat, they are very difficult to kill by themselves. In this encounter, in addition to the restoration druid healing himself, the other two healers will also focus heal while your raid focuses damage; this is true regardless of the target you pick. However, because the druid casts three very powerful healing-over-time effects that must be dispelled (as opposed to one from the shaman and two from the priest), if you leave the restoration druid up, a small interruption in chain dispelling from another champion's control abilities, such as a fear bomb, can quickly undo a great deal of damage progress. While focussing the restoration druid from the start, use as many stuns and interrupts as possible, use your longest-duration crowd controls on the other two healers, and burn him.

If you have competent warlocks and can keep the druid banished, you may have better luck burning one of the others first. Remember that your banishes will be subject to PvP limits and diminishing returns, so unless you can kill one of the healers before the druid becomes immune to banishes, you may find yourself chewing through druid heal buffs on your kill target, which may greatly slow your kill time.

After the restoration druid is dead, choose either the shaman, the paladin, or the priest. The shaman will use a powerful earth shield which makes him slightly more dangerous than the priest; in addition, he casts Hex on your raid. The shaman cannot resurrect himself like a player shaman can. The paladin will use Divine Protection on low health which should be broken swiftly so her Holy Light can be interrupted, and will use Hand of Freedom to break her allies out of Crowd Control effects.

After the healers are dead, the next highest priority should be the melee DPS. The rogue is probably the most dangerous followed by the warrior, the retribution paladin, and the death knight; the rogue is also a softer target than the plate wearers and will consequently die sooner. The enhancement shaman is the weakest of the melee champions and is weaker than most of the ranged. It is safe to kill him last.

Once the three healers are dead the fight becomes several orders of magnitude simpler and boils down to a burn phase. Keep the DPS champions chasing and your healers alive. Players assigned to distraction on various enemies should continue distracting until their target is picked for the kill. One of the primary jobs for distraction players will be to watch their target's target and call out who they're pursuing.

Two of the most important abilities in this encounter are offensive dispelling and spell interrupts. All of the champions are susceptible to spell interrupts, and offensive dispel is critical to cut through the healers' effects. Another strong ability to remember is mass dispel, which can cut through Divine Shields and Ice Blocks, both of which will be used by enemy champions. Mortal Strike and Wound Poison will also greatly aid you in taking out the healers early on. The death knight and rogue will use disease and poison effects so Cleansing Totems should be down.

Your PvP trinkets will come in handy in this encounter as well, as you will be constantly controlled throughout the fight. For all but the most elite raid groups, you can expect this fight to last close to 10 minutes, so you will use your trinket several times throughout the battle.

To avoid healers being overwhelmed with switching targets to try to heal those being focused, reserve anyone who can crowd control melee and casters to remain on that target until they are dead.

    * Any tanking class will be able to taunt their target to fixate it away. Taunts are still subject to DR. Fixate taunts like Hunter's Distraction Shot do not work on bosses.
    * Death Knights are perfect for pinning down melee (warrior, retribution paladin, rogue, death knight) with Chains of Ice, Dark Command, and Death Grip.
    * Warriors can spam Hamstring, Shockwave, and Charge stun the warrior and the rogue to prevent them from moving.
    * Rogues are able to keep casters (mage, shadow priest, holy priest) on lockdown with constant stuns and interrupts. If you are on the mage, he will blink when stunned so unless you have Throwing Specialization try not to do it while rooted. Vanish, Cloak of Shadows, Improved Sprint, and Killing Spree will dispel the Shattered Barrier and Frost Nova.
    * A combination of warlock and balance druid is able to chain Cyclone and Banish on the restoration druid, switching off every time the CC chain cannot continue due to DR.
    * Fear bomb if enough champions reach their target. 

]]

L["Tactic-25-The Twin Val'kyr"] =  [[

Eydis Darkbane Fjola Lightbane are the Val'kyr twins. You have to encounter them together and they share HP.

{group}Group
---------------{/group}

    * 2 Tanks
    * 6 Healer
    * 17 Damage Dealer

{abilities}Abilities
---------------{/abilities}

{add}Edyis Darkbane{/add}
Hitpoints: 27,000,000
Enrage:

{spell}Power of the Twins{/spell}
The shared power of the Twins increases Physical damage dealt by 20% and allows the Twin to Dual Wield for 15 sec.

{spell}Dark Vortex{/spell}
Eydis Darkbane beings to cast a powerful vortex of Dark. Channels for 5 seconds inflicting 5850 to 6150 damage every 1 sec for 5 sec. 8 second cast

{spell}Shield of Darkness{/spell}
A Shield of Darkness that protects the sister from harm absorbing 700,000 damage and prevents spell interruption for 15 sec.

{spell}Twin's Pact{/spell} 
The Twin's Pact heals for 20% of their total HP. 15 sec. cast. Begins cast after Shield of Darkness has been cast. 

{spell}Twin Spike{/spell} 
The Twin Spike inflicts 100% weapon damage and increases damage taken by 20% for 15 sec or for 10 charges.

{add}Fjola Lightbane{/add}
Hitpoints: 27,000,000
Enrage:

{spell}Light Vortex{/spell} 
Eydis Darkbane beings to cast a powerful vortex of Light. Channels for 5 seconds inflicting 5850 to 6150 damage every 1 sec for 5 sec. 8 second cast

{spell}Power of the Twins{/spell} 
The shared power of the Twins increases Physical damage dealt by 20% and allows the Twin to Dual Wield for 15 sec.

{spell}Shield of Lights{/spell}
A shield of light that protects the sister from harm absorbing 700,000 damage and prevents spell interruption for 15 sec.

{spell}Twin's Pact{/spell}
The Twin's Pact heals for 20% of their total HP. 15 sec. cast. Begins cast after Shield of Lights has been cast. 

{spell}Twin Spike{/spell} 
The Twin Spike inflicts 100% weapon damage and increases damage taken by 20% for 15 sec or for 10 charges. 

{spell}Powering Up{/spell}
You have absorbed energy. Causes Empowered Dark or Empowered Light at 100 stacks.

{spell}Dark Essence{/spell}
You have the Dark Essence! You absorb Dark damage,
deal less damage to Dark targets and deal bonus damage to Light targets. Absorbing Dark damage can cause a Surge of Speed!

{spell}Light Essence{/spell}
You have the Light Essence! You absorb Light damage,
deal less damage to Light targets and deal bonus damage to Dark targets.  Absorbing Light damage can cause a Surge of Speed!

{tactic}Strategy
--------{/tactic}

As usual, the encounter is started by talking to the NPC. The Twins and four portals spawn - two portals near the twins, and two on the opposite side (near the NPC). If the whole raid stays close to the NPC, the Twins don't aggro, it's also safe to use the portals on the NPC side of the room. The four portals are the central element of the encounter. Using one of them gives the player either a light or a dark buff. This buff reduces opposite color damage taken, and increases damage done on opposite color targets.

The raid should be divided in two halves (both halves should have one tank, similar amounts of healers and be able to deal similar DPS). One half of the raid takes the light buff and sets up near Darkbane, the other half the dark buff and goes to Lightbane. The two Val'kyr should be tanked near the place where they spawn (on a same-color portal).

After the encounter is started, light and dark orbs start to move randomly around the room. When these orbs reach either boss (regardless of color), the boss receives an attack speed and damage buff. If they touch a same-color buffed player, the player receives a speed and damage boost. If they touch an opposite-color player, the player receives 7000 damage.

The Twins both have the same to main abilities: Vortex and Twin's Pact. If either Twin uses either of these abilities, the other half of the raid must change buff, wait until the effect is over, and then switch back to their original color.

If either boss casts Twin's Pact, that boss shields herself, and then begin a 15 second cast which heals the Twins for 20% of their maximum HP. In order to interrupt the cast, the shield must be removed (by damage), the damage dealers of the opposite side need to help to make it possible. When the shield is down, the cast can be interrupted. Example: If Darkbane has the shield and casts the heal, all DPS assigned to Lightbane must click on the white portal and then DPS Darkbane until the shield is broken. Then they can click on the dark portal and resume DPSing Lightbane.

When one boss casts Vortex (8 sec cast), the whole raid must be sure to have the same-color buff as the boss who's casting, else they take 30,000 damage when the cast time is over. When for example Darkbane begins casting Dark Vortex, the group assigned to her need to switch to Dark. After the Vortex is finished, the effected players should switch back to their original colors.

Otherwise, The Twins deal insignificant tank and raid damage. Thus players just need to focus on the following list:

    * Switch color if the other boss casts Twin's Pact, and DPS her, switch back after Twin's Pact is interrupted
    * Switch color if your own boss casts Vortex, switch back after the cast is over
    * Hunt down orbs of your own color
    * Tank and Spank 

]]

L["Tactic-25-Anub'arak"] =  [[

{group}Group
---------------{/group}

    * 3 Tanks
    * 6 Healer
    * 16 Damage Dealer

{abilities}Abilities
---------------{/abilities}

Hitpoints: 20,910,000
Enrage: ???

{spell}Impale{/spell} 
When Anub'arak reaches his target he will cast this spell. Fires a spike up through the floor above Anub'arak, inflicting 17672 to 19828 Physical damage to anyone within 6 yards and sending them flying high up in the air (50% fall damage). This attack ignores armor, but cannot penetrate Permafrost. Instant

{spell}Penetrating Cold{/spell}
50,000 yd range  Cast on five random players. 3,500 (Hard mode 6,000) frost damage every 3 seconds for 18 seconds. As this falls off the first five players another five will be afflicted. Instant

{spell}Leeching Swarm{/spell}
Releases a swarm of insects that attack the caster's enemies, leeching 10% (Hard Mode 20%) of each target's CURRENT (not maximum) health every 1 second. A minimum of 250 health will be leeched. This ability heals Anub'arak 1.5 second cast

{spell}Freezing Slash{/spell}
Inflicts 25% Froststrike weapon damage (Frost or Physical, whichever will cause more damage to the target) damage to enemies within 6 yards in front of Anub'arak and freezes them in a block of ice for 3 sec. Instant

{spell}Pursued by Anub'arak{/spell}
Anub'arak is pursuing you. Instant

{spell}Pursuing Spikes{/spell}
Fires a spike through the floor, impaling all targets within 4 yards, dealing 2,828 to 3,172 damage and knocking them up in the air. This attack ignores armor. Instant

{spell}Submerge{/spell} 
Burrows into the ground. 2.5 seconds cast

{add}Nerubian Burrower{/add}
Hitpoints: 655,000

{add}Frost Sphere{/add}
Hitpoints: 10,000

{spell}Permafrost{/spell}
Freezes the ground in a small area, preventing most creatures from burrowing through it and reducing movement speed over the area by 30%.

{add}Swarm Scarab{/add} 
Hitpoints: 113,400

{tactic}Strategy
--------{/tactic}

{phase}Phase 1{/phase}

Gather up, have one designated ranged DPS shoot down the frost orbs above to form permafrost on the ground. The boss must be tanked facing away because of a frontal cleave.

Nerubian Burrower adds will spawn in phase one and they stack an Expose Armor debuff on their tanks, up to 10 stacks which increases physical damage taken. These need to be tanked on the permafrost or else they will burrow and heal back to full. The raid should have 2 off tanks (on 25 man) to pick these up. By the time Anub'arak burrows, there should only be 4 of them up; 2 on each tank. They should be killed during phase 2, when the raid has nothing else to do. For groups with only one tank for the burrowers it is advisable to just kill them else expose armour will stack to absurd levels (+500% damage taken) with four Burrowers on one tank.

{phase}Phase 2{/phase}

Anub'arak will burrow approximately every 90 seconds, staring phase 2. He will pursue a random target with spikes throughout the phase and when he reaches them he will cast Impale. The spikes will gradually speed up until they hit the target, or hit a patch of permafrost. Standing on the permafrost will enable you to avoid the impale, but the permafrost will despawn. After a few seconds, he will select another target.

Swarm Scarabs will spawn rapidly, scarabs have little hp but stack the same stacking nature damage debuff on their tanks, should be range kited and killed with AoE damage. After about one minute Anub'arak will surface and begin phase one again. He keeps threat from phase one.

{phase}Phase 3{/phase}

It is advisable to kill off any adds currently active before pushing Anub'arak over 30%. He will not submerge or summon any more adds at this point. Anub'arak needs to die very quickly after hitting 30% as you will not last long under the effects of leeching swarm. It is not ideal to top off raid members as they will then be taking full damage from the leeching swarm, healing Anub'arak and prolonging the phase. Instead you will want to keep people at ~5,000 HP (Hard mode ~9,000) so that they do not get gibbed by penetrating cold while also minimizing the amount Anub'arak heals (Anub'arak will be being healed for ~60,000 HP a second if the entire raid is at full HP on 25-man mode). Tanks and people with penetrating cold will need spam healing. Anub'arak does not have any other tricks and will die upon reaching 0% HP. 

]]

L["Tactic-10-The Beasts of Northrend"] =  [[

{group}Group
---------------{/group}

You will need two tanks for the first two phases. Two healers should be enough to heal the group, the rest could be damage dealers.

    * 2 Tanks
    * 2 Healer
    * 6 Damage Dealer

{abilities}Abilities
---------------{/abilities}

{add}Gormok the Impaler{/add} - Phase 1
Hitpoints: 2,230,000
Enrage: -

{spell}Staggering Stomp{/spell} 
Deals a staggering stomp that inflicts 7800 to 8200 (9263 to 9737)Physical damage to all enemies within 15 yards and interrupts spellcasting for 8 seconds.

{spell}Impale{/spell}
Inflicts 100% of weapon damage to an enemy and causes it to bleed for 1750 to 2250 damage per application every 2 sec. for 30 sec.

{add}Acidmaw{/add} - Phase 2
Hitpoints: 1,810,000
Enrage: ???

{spell}Acidic Spew{/spell}
Deals 2775 to 3225 (3700 to 4300)Nature damage per 0.25 sec. to enemies in front of the caster.

{spell}Acid Spit{/spell}
Deals 6938 to 8062 Nature damage to an enemy.

{spell}Paralytic Bite{/spell} 
Inflicts 7863 to 9137 (11100 bis 12900) Nature damage on an enemy and injects them with a paralytic toxin.

{spell}Paralytic Spray{/spell}
Sprays acid at an enemy and nearby targets, dealing 6938 to 8062 (8325 to 9675) Nature damage and applying a debilitating paralytic toxin (3000/5000 Nature damage every 2 sec).

{spell}Sweep{/spell} 
Whirls around, dealing 6938 bis 8062 Physical damage to enemies within 15 yards and knocking them back.

{add}Dreadscale{/add} - Phase 2
Hitpoints: 1,810,000
Enrage: ???

{spell}Burning Bite{/spell}
Inflicts 7863 bis 9137 (12950 to 15050) Fire damage to an enemy and coats them with burning bile.

{spell}Burning Spray{/spell}
Sprays fluid at an enemy and nearby targets, dealing 6938 to 8062 (8325 to 9675) Fire damage and coating them with burning bile.

{spell}Fire Spit{/spell}
Deals 5088 to 5912 (6.938 to 8062) Fire damage to an enemy.

{spell}Molten Spew{/spell} 
Deals 2775 to 3225 (3700 to 4300) Fire damage per 0.25 sec. to enemies in front of the caster.

{spell}Slime Pool{/spell}
Inflicts 5088 to 5912 (6475 to 7525) Nature damage to enemy targets within the Poison Cloud.

{add}Icehowl{/add} - Phase 3
Hitpoints: 3,490,000
Enrage: ???

{spell}Arctic Breath{/spell} 
An icy breath that freezes targets in a cone in front of the caster, inflicting 15000 (20000) Frost damage over 5 sec.

{spell}Ferocious Butt{/spell} 
Delivers a ferocious headbutt to an enemy, inflicting 60125 to 69875 (69,375 bis 80,625) Physical damage and stunning for 2.50 sec.

{spell}Frothing Rage{/spell}
Increases Physical damage and attack speed by 50% (75%).

{spell}Massive Crash{/spell} 
Leaps into the air and crashes down with massive force, dealing 8000 (10,000) Physical damage to all enemies, stunning them, and knocking them back.

{spell}Whirl{/spell}
Whirls around, dealing 6,938 to 8,062 (9,250 to 10,750) Physical damage to all nearby enemies and knocking them back.

{add}Snobold Vassal{/add} - Phase 1
Hitpoints: 202,000

{spell}Batter{/spell}
Strikes an enemy for 75% of normal melee damage, interrupting spellcasting for 5 sec.

{spell}Fire Bomb{/spell} 
Inflicts 4813 to 6187 Fire damage to all enemies within 8 yards of the target.

{spell}Head Crack{/spell}
Stuns an enemy for 2 sec.

{tactic}Strategy
--------{/tactic}

{phase}Phase 1: Gormok{/phase}

Phase 1 has four simple objectives:

* two tanks taunt off each other to keep the damage-over-time Impale from stacking too high (more than 3 debuffs)

* raid DPS kill Snobold adds that attach themselves to random players

* ranged and healers spread out to stay out of fire patches and outrange the 15-yard staggering stomp interrupt 

For the two tanks, taunting as the Impale debuff is about to wear off can keep the debuff at 2 or less for most of the encounter, with little risk of it restacking on the same tank. After the first taunt, the tank should let his stack fall off and taunt again.

The ranged DPS and healers must avoid fire patches that Gormok puts down. These patches deal fire damage every second in a small radius, and Gormok can put down several in rapid succession--moving from one patch to another that spawns can occur, and for this reason, the ranged and healers should spread out at least enough to avoid chaining these patches (similar to Napalm on Mimiron).

Lastly, Gormok will throw Snobolds on random players (anyone is a valid target, even a tank). These Snobolds regularly stun and kick their targets, making them a big impediment to the raid if they land on a healer. If this happens, at least the ranged (if not all DPS) should kill the Snobold, as several Snobolds on healers can easily incapacitate them and cause problems for the tanks.

{phase}Phase 2: Acidmaw and Dreadscale{/phase}

The key mechanics to understand about this phase are the interactions between Burning Bile and Paralytic Toxin.

* Acidmaw applies Paralytic Toxin; Dreadscale applies Burning Bile.

* Players with Paralytic Toxin can get it removed by running to players with Burning Bile and taking a tick of fire damage.

* Burning Bile falls of naturally and cannot be removed. 

One tank takes Dreadscale, the other Acidmaw. Dreadscale enters on the right facing the outside door and is mobile; Acidmaw emerges from the ground on the left and is stationary. The two worms burrow periodically, switching which one is mobile and which is stationary. The mobile worm puts down poison clouds at regular intervals, like Grobbulus, and thus must be moved out to keep it safe for melee and for the tank.

Until the first burrow, the Dreadscale tank will always have Burning Bile, and Acidmaw may attack any cluster of players, giving them Paralytic Toxin. These players need to move to the Dreadscale tank, take a tick of AoE fire damage, and thus clear their debuff, lest they become paralyzed and stunned. This applies to the Acidmaw tank as well, who can run from Acidmaw without fear of losing aggro, even though it is stationary.

After the first burrow, Acidmaw is mobile, and Dreadscale stationary. Dreadscale will now apply Burning Bile not just to his tank but to a random raid member and anyone around him. This creates an AoE damage hazard, as all these players must spread from each other and from other raid members--they will deal AoE damage to anyone around them an themselves.

A simple strategy is to burn down Acidmaw, as then no one will need to clear the Paralytic Toxin debuff, and Burning Bile by itself is not much of a threat. The Acidmaw tank need only make sure he gets his Paralytic Toxin debuff cleared, either by running to the Dreadscale tank or vice versa, if Dreadscale is the stationary worm at the time.

Note that when one Jormunjar dies, the other enrages, for at least 50% extra damage (10 and 25 player normal).

{phase}Phase 3: Icehowl{/phase}

Aside from Icehowl's melee range knockback and periodic tank stun, the main mechanic of this phase is the Massive Crash and charge mechanic.

* Icehowl knocks the entire raid back to the walls, stunning them

* Icehowl picks a random target to charge and runs to the opposite side of the room

* All raid members gain a speed buff to run away from the target area 

If improperly executed, one or more players will be hit by Icehowl, will take upwards of 60,000 damage, and die. Icehowl will then enrage, which, in a pinch, can be dispelled by Tranquilizing Shot or Anesthetic Poison.

If done right, however, Icehowl will hit the far wall and stun himself, increasing damage taken for a short period. This is the ideal time to reconvene and pop short cooldowns. Avoiding the charge is critical to minimizing overall damage to the tanks and maintaining control over the phase. Other than that, healers need only watch out for the freezing cone attack, which can be broken altogether if the main target breaks the stun (Blink, or usual immunities like Divine Shield). 

]]

L["Tactic-10-Lord Jaraxxus"] =  [[

{group}Group
---------------{/group}

You will need one tank for Jaraxxus and another for the adds.

    * 2 Tanks
    * 2 - 3 Healer
    * 5 - 6 Damage Dealer

{buffs}Buffs, Drinks and Equipment
-------------------------------------------------------------{/buffs}

Fire resistance aura is very helpful in this fight

{abilities}Abilities
---------------{/abilities}

Hitpoints: 14.300.000

{spell}Incinerate Flesh{/spell}
Burns the flesh off your bones! Absorbs the next 30.000 (40.000) healing received and decreases damage dealt by 50% for 12 sec.  If Incinerate Flesh is not removed before it expires it will cause a Burning Inferno.

{spell}Infernal Eruption{/spell}
Summons a Infernal and inflicts 9263 to 9737 Fire damage to targets in a 10 yard radius.

{spell}Legion Flame{/spell}
Burns the target, causing a Legion Flame to appear at the targets location every 1 sec for 6 sec.

{spell}Nether Power{/spell}
The Power of the Nether increases magic damage dealt by 20% for 30 sec.

{spell}Nether Portal{/spell}
Lord Jaraxxus opens a portal to the nether world, inflicting 6825 to 7175 (9,263 to 9,737)Shadow damage to targets in a 10 yard radius of the portal.

{spell}Fel Lightning{/spell}
Strikes an enemy with Legion Lightning that arcs to another nearby enemy for 7,863 to 9,137 (9,713 to 11,287). The spell affects up to 3 targets.

{spell}Fel Fireball{/spell}
Inflicts 15113 to 15887 (18.038 to 18.962) Fire damage and an additional 5850 to 6150 (7.800 to 8.200) Fire damage every 1 sec for 5 sec.

Everytime when Jaraxxus casts an Infernal Eruption he will spawn three Felflame Infernals

{add}Felflame Infernal{/add}
Hitpoints: 80,900

{spell}Fel Streak{/spell}
The Felflame Infernal charges a target and inflicts 4388 to 4612 Fire damage and triggering a Fel Inferno in the area.

{spell}Fel Inferno{/spell} 
Periodically inflicts Fire damage to allies within 15 yards for 6 sec.

{add}Mistress of Pain{/add}
Everytime Jaraxxus opens a Nether Portal, a Mistress of Pain appears

Hitpoints: 640,000

{spell}Shivan Slash{/spell}
A whirling attack that deals 50% weapon damage and pierces through armor.

{spell}Spinning Pain Spike{/spell}
Leaps towards an enemy, grabbing them and inflicting significant Physical damage.

{tactic}Strategy
--------{/tactic}

Lord Jaraxxus is a fight with relatively simple mechanics but a lot of damage. Jaraxxus himself should be tanked in the center of the room and dps should spread out as if for Kel'Thuzad. Both Fel Lightning and Touch of Jaraxxus can be very dangerous if the raid is not spread out. In order to reduce tank damage someone will need to be interrupting Lord Jaraxxus' Fel Fireball.

Jaraxxus will periodically spawn a Nether Portal or a Fel Volcano. He spawns them alternately, one every 60 seconds. Nether Portals will spawn a Mistress of Pain, which must be tanked and burned down as fast as possible, as she will choose a random raid member, apply a Spinning Pain Spike debuff, pick them up and do 50% of their max HP in physical damage. Volcanoes will spawn 3 Felfalme Infernals, which should be tanked away from Jaraxxus. The Infernals will sometimes turn into a floating orb, hover over to a random raid member and channel Fel Inferno dealing 5,000 damage per second to everyone nearby. Tanks need to pick the infernal up again quickly, or it will start killing raid-members. Whenever the adds are up ranged DPS should make killing them the priority while the mechanics of the encounter favour keeping melee DPS on the boss the entire time.

Lord Jaraxxus will occasionally give himself 5 stacks (25-man: 10) of Nether Power that increases magical damage dealt by 20%, totaling 100% (25-man: 200%). Mages can (and should) spellsteal this buff as it will increase their DPS and make healing easier. If there are no mages in your group, priests and shaman can (and should) dispel the buff. Lord Jaraxxus is VERY dangerous with the buff on 25-man.

Jaraxxus also will often cast Incinerate Flesh on a random raid member (possibly an offtank) and which will absorb all healing on that target, until a certain amount of healing has been done (10-man: 30,000; 10-heroic: 40,000; 25-man: 60,000; 25-heroic: 85,000). This is not too much of a problem, as long as healers react quickly. If the debuff wears off the target will cause a Burning Inferno to hit the entire raid causing large amounts of damage.

Jaraxxus also casts Legion Flames, which will continuously spawn flames under its target for six seconds. The target should run away from nearby players while remaining in range of healers.

If the raid remains spread out, Jaraxxus is dispelled and interrupted, the adds are kept under control, players run with Legion Flames and healers react quickly to Incinerate Flesh this fight is not difficult.

A fire resist aura should be used at all times during Jaraxxus, and any amount of passive healing or damage reduction that dps can provide will make the fight go much smoother. 

]]

L["Tactic-10-Champions"] =  [[

{tactic}Strategy
--------{/tactic}

This encounter is much like an arena match between you and 10 (6 at 10-man) quasi-player NPCs. Before even attempting this encounter, your raid will need to assume a PvP mindset. The enemies you will face in this encounter act very much like a good arena team does and some (but not all) PvP mechanics are applied to these NPCs. For example:

    * The NPC healers will switch to spam healing your DPS target(s) and should be Crowd Controlled when possible, or stun-locked by a Rogue(s).
    * The NPC damage dealers will gang up on a single raid member and focus fire him dead
    * All NPCs, including healers, will use player crowd control abilities like Polymorph, Fear, Hex, and even Banish - Tremor Totem and the like are very useful here.
    * NPCs in this counter are affected by the same diminishing return rules for player-cast crowd controls as other players are
    * Resilience does not reduce damage taken by the NPC enemies
    * Faction champions do more damage than typical players, have drastically more health (2.4 million on 25 man), and cast enormous heals - the druid champion's rejuvenation, for example, heals for more than 50,000 per tick
    * The NPCs cannot be mind controlled. All other forms of crowd control seem to work, but are subject to Diminishing Returns - after 3 casts, the NPC will be immune to that Crowd Control effect for that fight. 

As with any arena match, picking a damage target and focusing it down is critical. While one target is picked to be killed, all other enemy combatants should be controlled by whatever mechanics are available, including player CCs and focused distractions (e.g., keeping a warrior on the rogue NPC to disarm, hamstring, intercept, stun etc.). The NPCs appear to indiscriminately pick their own targets and they will gang up on a single raid member - healers do not appear to be disproportionately targeted as they often are in real arena combat. The NPCs generally cannot be tanked.

As a result of the chaotic nature of this fight (especially early on when all 10 NPCs are alive), every raid member needs to be fast on his feet. When one or more of the melee champions targets a soft target, that target needs to run, fear, snare, escape, stay alive. To facilitate these maneuvers, it is best not to clump together. Every second that a champion is traveling to its target is a second that it is not doing damage to any particular target, so the more you can keep them moving the safer your raid will be.

Another aspect of this encounter at odds with an arena match is that all of your opponents and their classes are known ahead of time, so it is possible to create a variety of control macros that target specific roles by name. This is strongly recommended. It is often very difficult to pick your control target from within the crowd while also performing your other role. Every class with a control ability should be using it as often as possible, including healers. Because of diminishing returns, as the fight goes on, your crowd control target will become actually or effectively immune to your ability, so don't be afraid to use control on any active target that is not the current focus fire target.

The fight becomes exponentially easier as each champion is killed, so getting the first one down as soon as possible greatly increases your odds of winning. All cooldowns, including Bloodlust/Heroism, should be used immediately to facilitate a speedy kill on the first target. The target you pick will be dependent upon your raid makeup, but for the majority of groups the most effective strategy is unsurprisingly to kill the healers first.

The four healers are a restoration druid, a restoration shaman, a holy paladin, and a holy priest.

    * The restoration druid casts Rejuvenation, Lifebloom, Nourish, and Regrowth. Two of these can be interrupted, and three of these must be dispelled.
    * The restoration shaman casts Greater Healing Wave, Lesser Healing Wave, Earth Shield, and Chain Heal. Three of these can be interrupted, and one of these must be dispelled.
    * The holy paladin casts Flash of Light, Holy Light, Hand of Freedom and Divine Protection. Her Divine Protection will be cast when she is at around 25% health and should be broken swiftly (by Shattering Throw or Mass Dispel) so the Holy Light which she inevitably starts casting afterwards can be interrupted.
    * The holy priest casts Greater Heal, Flash Heal, Renew, and Power Word: Shield. Two of these can be interrupted, and two of these must be dispelled. 


The most effective healer is the restoration druid. As with arena combat, they are very difficult to kill by themselves. In this encounter, in addition to the restoration druid healing himself, the other two healers will also focus heal while your raid focuses damage; this is true regardless of the target you pick. However, because the druid casts three very powerful healing-over-time effects that must be dispelled (as opposed to one from the shaman and two from the priest), if you leave the restoration druid up, a small interruption in chain dispelling from another champion's control abilities, such as a fear bomb, can quickly undo a great deal of damage progress. While focussing the restoration druid from the start, use as many stuns and interrupts as possible, use your longest-duration crowd controls on the other two healers, and burn him.

If you have competent warlocks and can keep the druid banished, you may have better luck burning one of the others first. Remember that your banishes will be subject to PvP limits and diminishing returns, so unless you can kill one of the healers before the druid becomes immune to banishes, you may find yourself chewing through druid heal buffs on your kill target, which may greatly slow your kill time.

After the restoration druid is dead, choose either the shaman, the paladin, or the priest. The shaman will use a powerful earth shield which makes him slightly more dangerous than the priest; in addition, he casts Hex on your raid. The shaman cannot resurrect himself like a player shaman can. The paladin will use Divine Protection on low health which should be broken swiftly so her Holy Light can be interrupted, and will use Hand of Freedom to break her allies out of Crowd Control effects.

After the healers are dead, the next highest priority should be the melee DPS. The rogue is probably the most dangerous followed by the warrior, the retribution paladin, and the death knight; the rogue is also a softer target than the plate wearers and will consequently die sooner. The enhancement shaman is the weakest of the melee champions and is weaker than most of the ranged. It is safe to kill him last.

Once the three healers are dead the fight becomes several orders of magnitude simpler and boils down to a burn phase. Keep the DPS champions chasing and your healers alive. Players assigned to distraction on various enemies should continue distracting until their target is picked for the kill. One of the primary jobs for distraction players will be to watch their target's target and call out who they're pursuing.

Two of the most important abilities in this encounter are offensive dispelling and spell interrupts. All of the champions are susceptible to spell interrupts, and offensive dispel is critical to cut through the healers' effects. Another strong ability to remember is mass dispel, which can cut through Divine Shields and Ice Blocks, both of which will be used by enemy champions. Mortal Strike and Wound Poison will also greatly aid you in taking out the healers early on. The death knight and rogue will use disease and poison effects so Cleansing Totems should be down.

Your PvP trinkets will come in handy in this encounter as well, as you will be constantly controlled throughout the fight. For all but the most elite raid groups, you can expect this fight to last close to 10 minutes, so you will use your trinket several times throughout the battle.

To avoid healers being overwhelmed with switching targets to try to heal those being focused, reserve anyone who can crowd control melee and casters to remain on that target until they are dead.

    * Any tanking class will be able to taunt their target to fixate it away. Taunts are still subject to DR. Fixate taunts like Hunter's Distraction Shot do not work on bosses.
    * Death Knights are perfect for pinning down melee (warrior, retribution paladin, rogue, death knight) with Chains of Ice, Dark Command, and Death Grip.
    * Warriors can spam Hamstring, Shockwave, and Charge stun the warrior and the rogue to prevent them from moving.
    * Rogues are able to keep casters (mage, shadow priest, holy priest) on lockdown with constant stuns and interrupts. If you are on the mage, he will blink when stunned so unless you have Throwing Specialization try not to do it while rooted. Vanish, Cloak of Shadows, Improved Sprint, and Killing Spree will dispel the Shattered Barrier and Frost Nova.
    * A combination of warlock and balance druid is able to chain Cyclone and Banish on the restoration druid, switching off every time the CC chain cannot continue due to DR.
    * Fear bomb if enough champions reach their target. 
]]

L["Tactic-10-The Twin Val'kyr"] =  [[

Eydis Darkbane Fjola Lightbane are the Val'kyr twins. You have to encounter them together and they share HP.

{group}Group
---------------{/group}

    * 2 Tanks
    * 2 Healer
    * 6 Damage Dealer

{abilities}Abilities
---------------{/abilities}

{add}Edyis Darkbane{/add}
Hitpoints: 5,790,000
Enrage:

{spell}Power of the Twins{/spell}
The shared power of the Twins increases Physical damage dealt by 20% and allows the Twin to Dual Wield for 15 sec.

{spell}Dark Vortex{/spell}
Eydis Darkbane beings to cast a powerful vortex of Dark. Channels for 5 seconds inflicting 5850 to 6150 damage every 1 sec for 5 sec. 8 second cast

{spell}Shield of Darkness{/spell}
A Shield of Darkness that protects the sister from harm absorbing 175,000 damage and prevents spell interruption for 15 sec.

{spell}Twin's Pact{/spell} 
The Twin's Pact heals for 20% of their total HP. 15 sec. cast. Begins cast after Shield of Darkness has been cast. 

{spell}Twin Spike{/spell} 
The Twin Spike inflicts 100% weapon damage and increases damage taken by 20% for 15 sec or for 10 charges.

{add}Fjola Lightbane{/add}
Hitpoints: 5,790,000
Enrage:

{spell}Light Vortex{/spell} 
Eydis Darkbane beings to cast a powerful vortex of Light. Channels for 5 seconds inflicting 5850 to 6150 damage every 1 sec for 5 sec. 8 second cast

{spell}Power of the Twins{/spell} 
The shared power of the Twins increases Physical damage dealt by 20% and allows the Twin to Dual Wield for 15 sec.

{spell}Shield of Lights{/spell}
A shield of light that protects the sister from harm absorbing 175,000 damage and prevents spell interruption for 15 sec.

{spell}Twin's Pact{/spell}
The Twin's Pact heals for 20% of their total HP. 15 sec. cast. Begins cast after Shield of Lights has been cast. 

{spell}Twin Spike{/spell} 
The Twin Spike inflicts 100% weapon damage and increases damage taken by 20% for 15 sec or for 10 charges. 

{spell}Powering Up{/spell}
You have absorbed energy. Causes Empowered Dark or Empowered Light at 100 stacks.

{spell}Dark Essence{/spell}
You have the Dark Essence! You absorb Dark damage,
deal less damage to Dark targets and deal bonus damage to Light targets. Absorbing Dark damage can cause a Surge of Speed!

{spell}Light Essence{/spell}
You have the Light Essence! You absorb Light damage,
deal less damage to Light targets and deal bonus damage to Dark targets.  Absorbing Light damage can cause a Surge of Speed!

{tactic}Strategy
--------{/tactic}

As usual, the encounter is started by talking to the NPC. The Twins and four portals spawn - two portals near the twins, and two on the opposite side (near the NPC). If the whole raid stays close to the NPC, the Twins don't aggro, it's also safe to use the portals on the NPC side of the room. The four portals are the central element of the encounter. Using one of them gives the player either a light or a dark buff. This buff reduces opposite color damage taken, and increases damage done on opposite color targets.

The raid should be divided in two halves (both halves should have one tank, similar amounts of healers and be able to deal similar DPS). One half of the raid takes the light buff and sets up near Darkbane, the other half the dark buff and goes to Lightbane. The two Val'kyr should be tanked near the place where they spawn (on a same-color portal).

After the encounter is started, light and dark orbs start to move randomly around the room. When these orbs reach either boss (regardless of color), the boss receives an attack speed and damage buff. If they touch a same-color buffed player, the player receives a speed and damage boost. If they touch an opposite-color player, the player receives 7000 damage.

The Twins both have the same to main abilities: Vortex and Twin's Pact. If either Twin uses either of these abilities, the other half of the raid must change buff, wait until the effect is over, and then switch back to their original color.

If either boss casts Twin's Pact, that boss shields herself, and then begin a 15 second cast which heals the Twins for 20% of their maximum HP. In order to interrupt the cast, the shield must be removed (by damage), the damage dealers of the opposite side need to help to make it possible. When the shield is down, the cast can be interrupted. Example: If Darkbane has the shield and casts the heal, all DPS assigned to Lightbane must click on the white portal and then DPS Darkbane until the shield is broken. Then they can click on the dark portal and resume DPSing Lightbane.

When one boss casts Vortex (8 sec cast), the whole raid must be sure to have the same-color buff as the boss who's casting, else they take 30,000 damage when the cast time is over. When for example Darkbane begins casting Dark Vortex, the group assigned to her need to switch to Dark. After the Vortex is finished, the effected players should switch back to their original colors.

Otherwise, The Twins deal insignificant tank and raid damage. Thus players just need to focus on the following list:

    * Switch color if the other boss casts Twin's Pact, and DPS her, switch back after Twin's Pact is interrupted
    * Switch color if your own boss casts Vortex, switch back after the cast is over
    * Hunt down orbs of your own color
    * Tank and Spank  

]]

L["Tactic-10-Anub'arak"] =  [[

{group}Group
---------------{/group}

    * 2 Tanks
    * 2 Healer
    * 6 Damage Dealer

{abilities}Abilities
---------------{/abilities}

Hitpoints: 4,230,000
Enrage: ???

{spell}Impale{/spell} 
When Anub'arak reaches his target he will cast this spell. Fires a spike up through the floor above Anub'arak, inflicting 14672 to 15828 Physical damage to anyone within 6 yards and sending them flying high up in the air (50% fall damage). This attack ignores armor, but cannot penetrate Permafrost. Instant

{spell}Penetrating Cold{/spell}
50,000 yd range  Cast on two random players. 3,500 (Hard mode 6,000) frost damage every 3 seconds for 18 seconds. As this falls off the first five players another five will be afflicted. Instant

{spell}Leeching Swarm{/spell}
Releases a swarm of insects that attack the caster's enemies, leeching 10% (Hard Mode 20%) of each target's CURRENT (not maximum) health every 1 second. A minimum of 250 health will be leeched. This ability heals Anub'arak 1.5 second cast

{spell}Freezing Slash{/spell}
Inflicts 25% Froststrike weapon damage (Frost or Physical, whichever will cause more damage to the target) damage to enemies within 6 yards in front of Anub'arak and freezes them in a block of ice for 3 sec. Instant

{spell}Pursued by Anub'arak{/spell}
Anub'arak is pursuing you. Instant

{spell}Pursuing Spikes{/spell}
Fires a spike through the floor, impaling all targets within 4 yards, dealing 2,828 to 3,172 damage and knocking them up in the air. This attack ignores armor. Instant

{spell}Submerge{/spell} 
Burrows into the ground. 2.5 seconds cast

{add}Nerubian Burrower{/add}
Hitpoints: 200,000

{add}Frost Sphere{/add}
Hitpoints: 10,000

{spell}Permafrost{/spell}
Freezes the ground in a small area, preventing most creatures from burrowing through it and reducing movement speed over the area by 30%.

{add}Swarm Scarab{/add} 
Hitpoints: 113,400

{tactic}Strategy
--------{/tactic}

{phase}Phase 1{/phase}

Gather up, have one designated ranged DPS shoot down the frost orbs above to form permafrost on the ground. The boss must be tanked facing away because of a frontal cleave.

Nerubian Burrower adds will spawn in phase one and they stack an Expose Armor debuff on their tanks, up to 10 stacks which increases physical damage taken. These need to be tanked on the permafrost or else they will burrow and heal back to full. The raid should have 2 off tanks (on 25 man) to pick these up. By the time Anub'arak burrows, there should only be 4 of them up; 2 on each tank. They should be killed during phase 2, when the raid has nothing else to do. For groups with only one tank for the burrowers it is advisable to just kill them else expose armour will stack to absurd levels (+500% damage taken) with four Burrowers on one tank.

{phase}Phase 2{/phase}

Anub'arak will burrow approximately every 90 seconds, staring phase 2. He will pursue a random target with spikes throughout the phase and when he reaches them he will cast Impale. The spikes will gradually speed up until they hit the target, or hit a patch of permafrost. Standing on the permafrost will enable you to avoid the impale, but the permafrost will despawn. After a few seconds, he will select another target.

Swarm Scarabs will spawn rapidly, scarabs have little hp but stack the same stacking nature damage debuff on their tanks, should be range kited and killed with AoE damage. After about one minute Anub'arak will surface and begin phase one again. He keeps threat from phase one.

{phase}Phase 3{/phase}

It is advisable to kill off any adds currently active before pushing Anub'arak over 30%. He will not submerge or summon any more adds at this point. Anub'arak needs to die very quickly after hitting 30% as you will not last long under the effects of leeching swarm. It is not ideal to top off raid members as they will then be taking full damage from the leeching swarm, healing Anub'arak and prolonging the phase. Instead you will want to keep people at ~5,000 HP (Hard mode ~9,000) so that they do not get gibbed by penetrating cold while also minimizing the amount Anub'arak heals (Anub'arak will be being healed for ~60,000 HP a second if the entire raid is at full HP on 25-man mode). Tanks and people with penetrating cold will need spam healing. Anub'arak does not have any other tricks and will die upon reaching 0% HP. 

]]


--ra text messages jede zeile durch \n getrennt
L["Ra-The Beasts of Northrend"] = ""
L["Ra-Lord Jaraxxus"] = ""
L["Ra-Champions"] = ""
L["Ra-The Twin Val'kyr"] = ""
L["Ra-Anub'arak"] = ""

L["Fraction Champions"] = true

L["static"] = true
L["movable"] = true

L["new main version"] = "This version of the Coliseum needs BossTactics in version %s. Please update otherwise this module could not work properly."

 L["Champion"] = true
L["Light Portal"] = true
L["Dark Portal"] = true
L["Phase 1"] = true
L["Phase 2"] = true
L["Permafrost"] = true

L["Reset Boss"] = "The Boss %s in Mode %d has new map buttons. But you have saved your own. This could cause misleadings to the stategy text.\nShall the standard buttons be loaded and yours deleted?"
L["Update finished."] = true
L["update msg"] = "Update to version %d.\nYou can choose if you like to check update of your own button data boss by boss or if you want to update all and loose your button data for all needed bosses. Tactictexts stay the same.\nYour inteface must be reloaded to make changes work!"
